Bug 3526 - Problem with slocate on 6.0 sparc machines?
Problem with slocate on 6.0 sparc machines?
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: crontabs (Show other bugs)
6.0
sparc Linux
high Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-17 09:05 EDT by ted
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 18:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ted 1999-06-17 09:05:14 EDT
I have been noticing on my little SparcClassic that the
daily slocate processes are never exiting.  I have not been
able to figure out why yet.  If I leave my machine running
for a long time, I end up with may of these slocate
processes in a R state.


Slocate is not listed in the component list.
Comment 1 Bill Nottingham 1999-06-17 10:40:59 EDT
what does 'strace <pid of slocate>' say?
Comment 2 Bill Nottingham 1999-06-17 12:35:59 EDT
Um, that's 'strace -p <pid>', of course.

------- Email Received From  ted@serreyn.com 06/18/99 14:57 -------


------- Email Received From  ted@serreyn.com 06/18/99 15:05 -------


------- Email Received From  ted@serreyn.com 06/18/99 15:11 -------
Comment 3 ted 1999-06-18 15:16:59 EDT
OK, more specifics.

slocate goes into a loop is you have cdimages mounted on a loopback
device mounted somewhere in the path.  I had 3 cdimages mounted as
/mnt/virtcd0, /mnt/virtcd1, and /mnt/virtcd2 they contained
respectively RedHat6.0 for Intel, Redhat 6.0 for Sparc, and Redhat 6.0
SRPMS.  All cd images were created by me from the freely available
files.

If anyone wants to simulate this problem, I could upload the cd
images.

My work-around was to change the /etc/cron.daily/slocate.cron file to
add the /mnt to the excluded directories.

Ted Serreyn
Comment 4 Bill Nottingham 1999-06-18 15:51:59 EDT
Hm. I mount an iso image here on a sparc, and it still
seems to work OK. I suppose I could try it on an older
sparc and see what that does...

------- Email Received From  ted@serreyn.com 06/21/99 10:25 -------
Comment 5 Bill Nottingham 1999-08-31 13:08:59 EDT
We still haven't been able to reproduce this.
Try upgrading to the latest slocate ; if it still fails, reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.